<?php

if(!strstr($_SERVER['HTTP_REFERER'], "/")) {
	header('Location: /');
	die;
}

if(isset($_POST['city_id'])) {
	$city_id = (int)$_POST['city_id'];
}

if(isset($_POST['us_city_id'])) {
	$city_id = (int)$_POST['us_city_id'];
	setcookie('city-kp', $city_id, time()+60*60*24*365, '/', ''.$_SERVER['SERVER_NAME'].'');
}

$city_cook = $_COOKIE["city-kp"];

if(!empty($city_cook)) {
	$city_id = $city_cook;
}

$city_select = (int)$_POST['city_select'];
$auto_play = (int)$_POST['auto_play'];
$body_bg = (int)$_POST['body_bg'];
$limit = (int)$_POST['limit_kp'];

function pars_kp($city_id, $city_select, $auto_play, $body_bg, $limit) {

	$curl 		= curl_init();
	$all_data 	= array();

	$kinopoisk = 'https://www.kinopoisk.ru/';

	$url = $kinopoisk.'afisha/new/city/'.$city_id.'/';

	curl_setopt($curl, CURLOPT_URL, $url);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$result = curl_exec($curl);
	curl_close($curl);

	$city_json = file_get_contents('city.json');
	$citys = json_decode($city_json, true);

	if($city_select > 0) {

		$select = '<select id="selectSity" onchange="changeSity();">';

		foreach($citys['city'] as $city) {

			$city_opt_id = $city['id'];
			$city_opt_name = $city['name'];

			if($city_id == $city_opt_id){
				$select .= '<option value="'.$city_opt_id.'" selected>'.$city_opt_name.'</option>';
			} else {
				$select .= '<option value="'.$city_opt_id.'">'.$city_opt_name.'</option>';
			}

			foreach($city as $key => $subs) {

				if($key == 'sub') {
					foreach($subs as $keys => $sub) {

						$city_opt_id = $sub['id'];
						$city_opt_name = $sub['name'];

						if($city_id == $city_opt_id){
							$select .= '<option class="sub" value="'.$city_opt_id.'" selected>&emsp;'.$city_opt_name.'</option>';
						} else {
							$select .= '<option class="sub" value="'.$city_opt_id.'">&emsp;'.$city_opt_name.'</option>';
						}
					}
				}
			}
		}
		$select .= '</select>';
	}

	preg_match_all('!<div class="info">\n      <div class="name">\n         <a href="\/(.*?)\">(.*?)</a>\n         <meta itemprop="name" content="(.*?)" />\n         <span>(.*?)</span>!',$result,$match_a);
	preg_match_all('!<div class="gray">\n         <a class="or" href="\/(.*?)\">(.*?)</a>!',$result,$match_b);
	preg_match_all('!fid: (.*?),!',$result,$match_kp_id);

	preg_match_all('!<i style="font-size: 8px; font-style: normal">&bull;</i>\n(.*?)</div>!',$result,$match_genres);

	$title_ru 	= array('title_ru' 	=> $match_a[2]);
	$title_en 	= array('title_en' 	=> $match_a[4]);
	$link_kp 	= array('link_kp' 	=> $match_a[1]);
	$link_s_kp 	= array('link_s_kp' => $match_b[1]);
	$genres 	= array('genres' 	=> $match_genres[1]);
	$kp_id 		= array('kp_id' 	=> $match_kp_id[1]);

	$count = count($kp_id['kp_id']);

	if($limit > $count) {
		$limit = $count;
	}

	for ($i = 0; $i < $limit; $i++) {

		$tit_ru = iconv('CP1251','UTF-8', $title_ru['title_ru'][$i]);
		$tit_en = iconv('CP1251','UTF-8', $title_en['title_en'][$i]);

		$genre = iconv('CP1251','UTF-8', $genres['genres'][$i]);
		$genre = preg_replace("/\s/", "", $genre);
		$genre = preg_replace("/,/", ", ", $genre);

		$kpf_id = $kp_id['kp_id'][$i];

		$film_box .= '

		<div class="film_box">
			<div class="img">
				<a class="ajax-modal" href="https://st.kp.yandex.net/images/film_iphone/iphone360_'.$kpf_id.'.jpg" title="'.$tit_ru.'">
					<img src="https://st.kp.yandex.net/images/film_iphone/iphone360_'.$kpf_id.'.jpg" alt="'.$tit_ru.'" />
				</a>
			</div>
			<div class="info" onClick="TrailerKp_'.$i.'();return false;" title="Подробнее">
				<p>'.$tit_ru.'</p>
				<span>'.$tit_en.'</span>
				<span class="genre">'.$genre.'</span>
			</div>
			<div class="clear"></div>
		</div>

		';
	}

	$script  = '<script type="text/javascript">';
	$script .= '
		var idPopups = $("div#popup-manager"),

			temp_load 			= $(\'<div id="kp-load" class="kp-load"><div class="sk-circle"><div class="sk-circle1 sk-child"></div><div class="sk-circle2 sk-child"></div><div class="sk-circle3 sk-child"></div><div class="sk-circle4 sk-child"></div><div class="sk-circle5 sk-child"></div><div class="sk-circle6 sk-child"></div><div class="sk-circle7 sk-child"></div><div class="sk-circle8 sk-child"></div><div class="sk-circle9 sk-child"></div><div class="sk-circle10 sk-child"></div><div class="sk-circle11 sk-child"></div><div class="sk-circle12 sk-child"></div></div></div>\'),
			temp_model_box 		= $(\'<div class="model_box"></div>\'),
			temp_bf_model 		= $(\'<div class="bf_model zoom_box animations"></div>\'),
			temp_title_box 		= $(\'<div class="title_box"></div>\'),
			temp_iframe_box 	= $(\'<div class="iframe_box"></div>\'),
			temp_info_box 		= $(\'<div class="info_box"></div>\'),
			temp_close 			= $(\'<a id="bf_close" href="#" title="Закрыть" class="anim_left animations">Закрыть</a>\');
	';

	foreach($citys['city'] as $city) {

		$citys_id = $city['id'];

		if($citys_id == $city_id) {
			$city_name = $city['name'];
		}

	}

	for ($i = 0; $i < $limit; $i++) {

		$tit_ru = iconv('CP1251','UTF-8', $title_ru['title_ru'][$i]);
		$kpf_id = $kp_id['kp_id'][$i];

		if ($body_bg == 1) {
			$body_background = 'body.css("background", "url(\"https://st.kp.yandex.net/images/film_iphone/iphone360_'.$kpf_id.'.jpg\") repeat center top");';
		}

		$script .= '
			function TrailerKp_'.$i.'() {

				var idPopups = $("div#popup-manager");
				idPopups.addClass("popup-show");

				var body = $("body");
					'.$body_background.'

				idPopups.append(temp_model_box);
				var model_box = $("div.model_box");
					model_box.append(temp_close);
					model_box.append(temp_bf_model);
						var bf_model = $("div.bf_model");
							bf_model.append(temp_title_box);
								var title_box = $("div.title_box");
									title_box.append(\'<p><span class="kp">КиноПоиск</span><span class="title">'.$tit_ru.'</span></p>\');

							bf_model.append(temp_iframe_box);
								var iframe_box = $("div.iframe_box");

									$.post(onAjaxKP, {
										kp: "'.$kpf_id.'",
										city_id: "'.$city_id.'",
										auto_play: "'.$auto_play.'",
										city_name: "'.$city_name.'",
									}, onAjaxKPSuccess);

									function onAjaxKPSuccess(data) {
										iframe_box.empty();
										info_box.empty();
										$("div#kp-load").remove();
										iframe_box.append(data);
									}

									iframe_box.append(temp_load);

				var bf_close = $("a#bf_close");
				var info_box = $("div.info_box");
					bf_close.click(function(){

						idPopups.removeClass("popup-show");
						title_box.empty();
						iframe_box.empty();
						bf_model.empty();
						info_box.empty();
						model_box.empty().remove();
						body.removeAttr("style");

						return false;

					});
			}
		';
	}
	$script .= '</script>';

	function html_minify($html){

		$search = array(
			'/\>[^\S ]+/s',
			'/[^\S ]+\</s',
			'/(\s)+/s'
		);

		$replace = array(
			'>',
			'<',
			'\\1'
		);

		$html = preg_replace($search, $replace, $html);

		return $html;

	}

	$result = html_minify($select.$film_box.$script);

	echo $result;

	return $all_data;

}

pars_kp($city_id, $city_select, $auto_play, $body_bg, $limit);

?>