<?php
class widgetParsKinopoisk extends cmsWidget {

	public $is_cacheable = false;

    public function run() {

		$this->setTemplate('pars_kp');
		$this->css_class = 'kinopoisk_wrap';

		$city_id 		= $this->getOption('city_id');
		$city_select 	= $this->getOption('city_select');
		$auto_play 		= $this->getOption('auto_play');
		$body_bg 		= $this->getOption('body_bg');
		$limit_kp 		= $this->getOption('limit_kp', 10);

		if ($city_id == 0) { $city_id = 1; }
		if ($auto_play == null) { $auto_play = 0; }
		if ($body_bg == null) { $body_bg = 0; }
		if ($limit_kp == 0) { $limit_kp = 1; }

		if ($city_select == null) {
			$city_select = 0;

			if (!empty($_COOKIE["city-kp"])) {

				setcookie('city-kp', '', time()-60*60*24*366, '/', ''.$_SERVER['SERVER_NAME'].'');
			}
		}

        return array(
			'city_id' 		=> $city_id,
			'city_select' 	=> $city_select,
			'auto_play' 	=> $auto_play,
			'body_bg' 		=> $body_bg,
			'limit_kp' 		=> $limit_kp,
		);

    }

}
